"""Metatask that runs all cleanup tasks."""

from orchestrator.services.processes import start_process

from gso.schedules.scheduling import CronScheduleConfig, scheduler
from gso.worker import celery


@celery.task
@scheduler(CronScheduleConfig(name="Clean up tasks", hour="*/6"))
def vacuum_tasks() -> None:
    """Run all cleanup tasks every 6 hours."""
    start_process("task_clean_up_tasks")
